@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Apply WAS and WPS iFixes for WB Monitor 6.0.2.1
@rem ************************************************************************

@rem USAGE: installWPSIFix WID_HOME 
@echo off
setlocal
if "%~1" NEQ "" goto startNow
echo USAGE: installWPSIFix WID_HOME
set SAVE_RC=1
goto exitNow
:startNow
set SAVE_RC=0
@rem set up logs directory
SET WID_HOME=%~1
SET WPS_HOME=%WID_HOME%\runtimes\bi_v6
SET JAVA_HOME=%WPS_HOME%\java
SET MONITOR_HOME=%WID_HOME%\WBMonitor
set IMAGE_DIR=%CD%
if exist "%IMAGE_DIR%\logs" goto setlog 
mkdir "%IMAGE_DIR%\logs"
:setlog
set MY_LOG="%IMAGE_DIR%\logs\WAS-WPS-IFix.log"

echo Start applying WPS iFix... > %MY_LOG% 2>&1
time /t >>%MY_LOG%

echo WID_HOME=%WID_HOME% >> %MY_LOG%
echo MONITOR_HOME=%MONITOR_HOME% >> %MY_LOG%
echo WPS_HOME=%WPS_HOME% >> %MY_LOG%
echo JAVA_HOME=%JAVA_HOME%  >> %MY_LOG%


@rem extract WAS-WPS-IFix.zip into WPS_HOME
@rem *********************************************************

pushd "%WPS_HOME%"
if NOT exist "updateinstaller" goto extractZip
@rem existing updateinstaller
rename updateinstaller updateinstaller.$monitor$
:extractZip
echo "%JAVA_HOME%\bin\jar.exe" xf "%IMAGE_DIR%\WAS-WPS-IFix.zip" >> %MY_LOG%
"%JAVA_HOME%\bin\jar.exe" xf "%IMAGE_DIR%\WAS-WPS-IFix.zip"
if %errorlevel% NEQ 0 goto cmdFailed

@rem Start applying the iFix
cd updateinstaller
echo Applying WAS iFix 6.0.2.17-WS-WAS-IFPK35162.pak >> %MY_LOG% 2>&1
update.exe -W maintenance.package="%WPS_HOME%\updateinstaller\maintenance\6.0.2.17-WS-WAS-IFPK35162.pak" -silent >> %MY_LOG% 
if exist ..\logs\update\6.0.2.17-WS-WAS-IFPK35162.install\updatelog.txt type ..\logs\update\6.0.2.17-WS-WAS-IFPK35162.install\updatelog.txt
echo Applying WPS iFix 6.0.2.0-WS-WBI-IFJR25589.pak >> %MY_LOG% 2>&1
update.exe -W maintenance.package="%WPS_HOME%\updateinstaller\maintenance\6.0.2.0-WS-WBI-IFJR25589.pak" -silent >> %MY_LOG%
if exist  ..\logs\update\6.0.2.0-WS-WBI-IFJR25589.install\updatelog.txt type ..\logs\update\6.0.2.0-WS-WBI-IFJR25589.install\updatelog.txt
cd ..
@rem done applying the iFix

@rem remove updateinstaller
echo RMDIR /S /Q updateinstaller >> %MY_LOG% 2>&1
RMDIR /S /Q updateinstaller
if NOT exist updateinstaller.$monitor$ goto done
rename updateinstaller.$monitor$ updateinstaller
goto done

@rem ************************************************************************
:cmdFailed
@rem ************************************************************************
set SAVE_RC=%errorlevel%
echo Error: Command failed, error code = %errorlevel% >> %MY_LOG% 2>&1
goto done
@rem 
@rem Wrap it up
:done
@rem
popd
echo Installation of iFix is finished. >>%MY_LOG% 2>&1
time /t >>%MY_LOG% 
:exitNow
exit /b %SAVE_RC%
endlocal
