@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Set Custom Properties required for the CEI Reboot Fix
@rem ************************************************************************

@rem USAGE: setCustomProps WID_HOME CELL_NAME NODE_NAME SERVER_NAME
@echo off
setlocal
set SAVE_RC=0
@rem set up logs directory
if "%4" == "" goto usage

set WID_HOME=%~1
set CELL_NAME=%2
set NODE_NAME=%3
set SERVER_NAME=%4
set PROFILE_HOME=%WID_HOME%\pf\wbmonitor
set CURDIR=%CD%

if exist "%CURDIR%\logs" goto setlog 
mkdir "%CURDIR%\logs"
:setlog
set MY_LOG="%CURDIR%\logs\setCustomProps.log"

echo Setting custom properties ... > %MY_LOG% 2>&1
time /t >>%MY_LOG%

echo WID_HOME=%WID_HOME% >> %MY_LOG%
echo PROFILE_HOME=%PROFILE_HOME% >> %MY_LOG%
echo CELL_NAME=%CELL_NAME% >> %MY_LOG%
echo NODE_NAME=%NODE_NAME% >> %MY_LOG%
echo SERVER_NAME=%SERVER_NAME% >> %MY_LOG%

@echo on
call "%PROFILE_HOME%\bin\wsadmin.bat" -f .\setCustomProps.jacl %CELL_NAME% %NODE_NAME% %SERVER_NAME%
@echo off
set SAVE_RC=%errorlevel%
if %SAVE_RC% NEQ 0 goto cmdFailed
goto done

@rem ************************************************************************
:cmdFailed
@rem ************************************************************************
echo Error: Command failed, error code = %SAVE_RC% >> %MY_LOG% 2>&1
goto exitNow
@rem 

@rem Wrap it up
:done
@rem
echo Custom Properties were set successfully. >> %MY_LOG% 2>&1
time /t >>%MY_LOG% 
goto exitNow
:usage
echo USAGE: setCustomProps WID_HOME CELL_NAME NODE_NAME SERVER_NAME
:exitNow
exit /b %SAVE_RC%