@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Start the Event Apps 
@rem ************************************************************************

@rem USAGE: startEventApps.bat WID_HOME CELL_NAME NODE_NAME SERVER_NAME
@echo off
setlocal
set SAVE_RC=0
if "%4" NEQ "" goto startNow
echo USAGE: startEventApps.bat WID_HOME CELL_NAME NODE_NAME SERVER_NAME
set SAVE_RC=1
goto exitNow

@rem set up logs directory
:startNow
set WID_HOME=%~1
set CELL_NAME=%2
set NODE_NAME=%3
set SERVER_NAME=%4
set PROFILE_HOME=%WID_HOME%\pf\wbmonitor
set CUR_DIR=%CD%
if exist "%CUR_DIR%\logs" goto setlog 
mkdir "%CUR_DIR%\logs"
:setlog
set MY_LOG="%CUR_DIR%\logs\startEventsApp.log"

echo Start the Events Apps ... > %MY_LOG% 2>&1
time /t >>%MY_LOG%

echo WID_HOME=%WID_HOME% >> %MY_LOG%
echo PROFILE_HOME=%PROFILE_HOME% >> %MY_LOG%
echo CELL_NAME=%CELL_NAME% >> %MY_LOG%
echo NODE_NAME=%NODE_NAME% >> %MY_LOG%
echo SERVER_NAME=%SERVER_NAME% >> %MY_LOG%

@rem Start the applications
echo Starting the event applications >> %MY_LOG% 2>&1
@echo on
call "%PROFILE_HOME%\bin\wsadmin.bat" -f .\startEventApps.jacl %CELL_NAME% %NODE_NAME% %SERVER_NAME% >> %MY_LOG% 2>&1
@echo off
set SAVE_RC=%errorlevel%
if %SAVE_RC% NEQ 0 goto cmdFailed
goto done

@rem ************************************************************************
:cmdFailed
@rem ************************************************************************
echo Error: Command failed, error code = %SAVE_RC% >> %MY_LOG%
goto exitNow
@rem 
@rem Wrap it up
:done
@rem
echo Event Apps are started. >>%MY_LOG% 2>&1
time /t >>%MY_LOG% 
:exitNow
exit /b %SAVE_RC%
endlocal
