@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Main batch file to call when updating the Monitor Development Toolkit
@rem ************************************************************************

@rem USAGE: updateToolkit.bat WID_HOME
@echo off
setlocal
if "%4" == "" goto usage
set WID_HOME=%~1
set CELL_NAME=%2
set NODE_NAME=%3
set SERVER_NAME=%4
set PROFILE_HOME=%WID_HOME%\pf\wbmonitor
set CURDIR=%CD%

echo Installing WAS and WPS IFixes ...
call installWPSIFix.bat "%WID_HOME%"
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

echo Reaugmenting CEI ...
call augmentCEI.bat "%WID_HOME%"
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

if exist "%PROFILE_HOME%\bin\startServer.bat" goto continueUpgrade 
echo Upgrade of WB Monitor Development Toolkit has been completed.
echo
goto done

:continueUpgrade
echo Starting Monitor Server ...
pushd "%PROFILE_HOME%\bin"
call startServer.bat %SERVER_NAME%
set RC=%errorlevel%
popd
if %RC% NEQ 0 goto cmdFailed

echo Current Directory = %CD%
echo Uninstalling CEI Apps ...
call uninstallEventApps.bat "%WID_HOME%" %CELL_NAME% %NODE_NAME% %SERVER_NAME%
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

echo Installing EventServer App ... 
call installEventServer.bat "%WID_HOME%" %CELL_NAME% %NODE_NAME% %SERVER_NAME%
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

echo Installing EventServerMdb App ... 
echo Press [Enter] and then you will be prompted to enter a user name and password ...
call installEventServerMdb.bat "%WID_HOME%" %CELL_NAME% %NODE_NAME% %SERVER_NAME%
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

echo Starting CEI Apps ...
call startEventApps.bat "%WID_HOME%" %CELL_NAME% %NODE_NAME% %SERVER_NAME%
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

echo Setting Custom Properties for Monitor Server ...
call setCustomProps.bat "%WID_HOME%" %CELL_NAME% %NODE_NAME% %SERVER_NAME%
set RC=%errorlevel%
if %RC% NEQ 0 goto cmdFailed

echo WB Monitor Development Toolkit has been upgraded successfully.

goto done

:cmdFailed
echo ERROR: Upgrade of toolkit failed. Please check the logs saved in %CURDIR%\logs
echo ERROR: To rerun the update, make sure that the Monitor Server is stopped.
echo ERROR: Execute "updateToolkit.bat WID_HOME CELL_NAME NODE_NAME SERVER_NAME" from %CURDIR%
echo ERROR: RC=%RC%
goto done
:usage 
echo USAGE: updateToolkit WID_HOME
:done
exit /B %RC%
endlocal

